For the complete documentation index, see llms.txt. This page is also available as Markdown.

Option A: Sending a Delivery Schedule per order line

This page explains how to send your first order with a Delivery Schedule. A Delivery Schedule can contain 1 or multiple requested deliveries for a single order line.

Sending the order

  1. Set the URL to https://api.accp.tradecloud1.com/v2/api-connector/order

  2. Set the HTTP Method to POST

  3. Provide a Basic Authentication header, which contains the username and password of the integration account.

  4. Provide the JSON below as the request body. Make sure you replace {{supplierAccountNumber}} with the supplier account number you have configured for a test supplier.

Set the request body MIME-type to application/json.

{
  "order": {
    "supplierAccountNumber": "{{supplierAccountNumber}}",
    "purchaseOrderNumber": "PO123456789",
    "destination": {
      "names": [
        "My Company Warehouse",
        "Dock 12"
      ],
      "countryCodeIso2": "NL"
    }
  },
  "lines": [
    {
      "position": "0001",
      "item": {
        "name": "Round tube 60x45",
        "purchaseUnitOfMeasureIso": "PCE"
      },
      "deliverySchedule": [
        {
          "date": "2026-01-31",
          "quantity": 5
        },
        {
          "date": "2026-02-07",
          "quantity": 10
        }
      ],
      "prices": {
        "netPrice": {
          "priceInTransactionCurrency": {
            "value": 1234.56,
            "currencyIso": "EUR"
          }
        },
        "priceUnitOfMeasureIso": "PCE",
        "priceUnitQuantity": 100
      }
    }
  ]
}

Set the request MIME-type to application/xml

That's all! You can now log into the Web Portal and go to the Order overview page. When you click the order line, you can now see the requested Delivery Schedule.

Last updated